curl --request GET \
--url https://api.example.com/api/v1/bots/{object_id}/participant_events{
"next": {},
"previous": {},
"results": [
{}
],
"id": "<string>",
"participant_name": "<string>",
"participant_uuid": "<string>",
"participant_user_uuid": {},
"participant_is_host": true,
"event_type": "<string>",
"event_data": {},
"timestamp_ms": 123
}curl --request GET \
--url https://api.example.com/api/v1/bots/{object_id}/participant_events{
"next": {},
"previous": {},
"results": [
{}
],
"id": "<string>",
"participant_name": "<string>",
"participant_uuid": "<string>",
"participant_user_uuid": {},
"participant_is_host": true,
"event_type": "<string>",
"event_data": {},
"timestamp_ms": 123
}Returns participant events (join/leave) for a bot. Results are paginated using cursor pagination.Documentation Index
Fetch the complete documentation index at: https://mintlify.com/attendee-labs/attendee/llms.txt
Use this file to discover all available pages before exploring further.
Authorization header.
bot_xxxxxxxxxxx)next value from the previous response to get the next page.2024-01-18T12:34:56Z)2024-01-18T13:34:56Z)curl https://app.attendee.dev/api/v1/bots/bot_weIAju4OXNZkDTpZ/participant_events \
-H "Authorization: Token YOUR_API_KEY_HERE" \
-H "Content-Type: application/json"
curl "https://app.attendee.dev/api/v1/bots/bot_weIAju4OXNZkDTpZ/participant_events?after=2024-01-18T12:34:56Z&before=2024-01-18T13:34:56Z" \
-H "Authorization: Token YOUR_API_KEY_HERE" \
-H "Content-Type: application/json"
curl "https://app.attendee.dev/api/v1/bots/bot_weIAju4OXNZkDTpZ/participant_events?after=2024-01-18T12:34:56Z" \
-H "Authorization: Token YOUR_API_KEY_HERE" \
-H "Content-Type: application/json"
curl "https://app.attendee.dev/api/v1/bots/bot_weIAju4OXNZkDTpZ/participant_events?cursor=cD00ODY%3D" \
-H "Authorization: Token YOUR_API_KEY_HERE" \
-H "Content-Type: application/json"
after parameter to poll for new participant events. This is useful for tracking when participants join or leave during an ongoing meeting.